org.apache.sysds.runtime.compress.lib

## Class CLALibLeftMultBy

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibLeftMultBy

    public class CLALibLeftMultBy
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CLALibLeftMultBy()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `leftMultByMatrix(CompressedMatrixBlock m1, MatrixBlock m2, MatrixBlock ret, int k)`
`static MatrixBlock` `leftMultByMatrixTransposed(CompressedMatrixBlock m1, CompressedMatrixBlock m2, MatrixBlock ret, int k)`
`static MatrixBlock` `leftMultByMatrixTransposed(CompressedMatrixBlock m1, MatrixBlock m2, MatrixBlock ret, int k)`
`static void` `leftMultByTransposeSelf(List<AColGroup> groups, MatrixBlock result, int k, int numColumns, org.apache.commons.lang3.tuple.Pair<Integer,int[]> v, boolean overlapping)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLALibLeftMultBy

    public CLALibLeftMultBy()

### Method Detail

#### leftMultByMatrixTransposed

    public static MatrixBlock leftMultByMatrixTransposed(CompressedMatrixBlock m1,
                                                         MatrixBlock m2,
                                                         MatrixBlock ret,
                                                         int k)

#### leftMultByMatrixTransposed

    public static MatrixBlock leftMultByMatrixTransposed(CompressedMatrixBlock m1,
                                                         CompressedMatrixBlock m2,
                                                         MatrixBlock ret,
                                                         int k)

#### leftMultByMatrix

    public static MatrixBlock leftMultByMatrix(CompressedMatrixBlock m1,
                                               MatrixBlock m2,
                                               MatrixBlock ret,
                                               int k)

#### leftMultByTransposeSelf

    public static void leftMultByTransposeSelf(List<AColGroup> groups,
                                               MatrixBlock result,
                                               int k,
                                               int numColumns,
                                               org.apache.commons.lang3.tuple.Pair<Integer,int[]> v,
                                               boolean overlapping)